[@rxap/form-system](../wiki/globals) / ExtractControlFromParentMixin

# Class: ExtractControlFromParentMixin

Defined in: [packages/angular/form-system/src/lib/mixins/extract-control-from-parent.mixin.ts:10](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-control-from-parent.mixin.ts#L10)

## Extended by

- [`ControlHideShowDirective`](../wiki/Class.ControlHideShowDirective)

## Constructors

### new ExtractControlFromParentMixin()

> **new ExtractControlFromParentMixin**(): [`ExtractControlFromParentMixin`](../wiki/Class.ExtractControlFromParentMixin)

#### Returns

[`ExtractControlFromParentMixin`](../wiki/Class.ExtractControlFromParentMixin)

## Methods

### extractControlFromParent()

> `protected` **extractControlFromParent**(`parent`, `controlPath`): `AbstractControl`

Defined in: [packages/angular/form-system/src/lib/mixins/extract-control-from-parent.mixin.ts:12](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-control-from-parent.mixin.ts#L12)

#### Parameters

##### parent

`ControlContainer`

##### controlPath

`string`

#### Returns

`AbstractControl`
